diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 6be723d27..3207f7841 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -186,6 +186,10 @@ define([
             headerCell: Backgrid.Extension.SelectAllHeaderCell,
           });
         }
+        /* Columns should be always non-editable  */
+        gridSchema.columns.forEach((col)=>{
+          col.disabled = true;
+        });
         // Initialize a new Grid instance
         that.grid = new Backgrid.Grid({
           emptyText: gettext('No data found'),
